Summary: Programs for accessing MS-DOS disks without mounting the disks.
Name: mtools
Version: 3.9.7
Release: 4
Copyright: GPL
Group: Applications/System
Source: http://www.tux.org/pub/tux/knaff/mtools/mtools-%{version}.tar.gz
Patch0: mtools-%{version}-commas.patch
Url: http://www.tux.org/pub/tux/knaff/mtools/index.html
Buildroot: /var/tmp/mtools-root
Prefix: %{_prefix}
%ifarch ia64
%define DEFCC cc
%else
%define DEFCC cc
%endif

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 XDF disks, and 2m disks.

Mtools should be installed if you need to use MS-DOS disks.

%prep
%setup -q
%patch -p1 -b .commas

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --sysconfdir=/etc
make
/usr/bin/strip mtools mkmanifest

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix} $RPM_BUILD_ROOT/etc
make prefix=$RPM_BUILD_ROOT%{prefix} install
gzip -9f $RPM_BUILD_ROOT%{prefix}/info/*

# We aren't shipping this.
find $RPM_BUILD_ROOT -name "floppyd*" -exec rm {} \;

cd $RPM_BUILD_ROOT
mkdir -p usr/bin 
cd usr/bin
ln -sf ../..%{prefix}/bin/* .

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /sbin/install-info ]
then
   /sbin/install-info %{prefix}/info/mtools.info.gz %{prefix}/info/dir
fi

%preun
if [ "$1" = 0 ]; then
  if [ -x /sbin/install-info ]
  then
    /sbin/install-info --delete %{prefix}/info/mtools.info.gz %{prefix}/info/dir
  fi
fi

%files
%doc COPYING Changelog README Release.notes
%{prefix}/bin/*
/usr/bin/*
%{prefix}/man/*/*
%{prefix}/info/*

%changelog
* Wed Mar 21 2001 Marc Stephenson <marc@austin.ibm.com>
- Rebuild against new shared objects
- Use default compiler

* Fri Jan 05 2001 Marc Stephenson <aixtolbox-l@austin.ibm.com>
- Removed hardcoded /usr prefix
- Added hardcoded /usr symlinks
- Removed hard /bin/install-info dependency

* Wed Feb 09 2000 Cristian Gafton <gafton@redhat.com>
- get rid of mtools.texi as a doc file (we have the info file)
- fix config file so mtools work (#9264)
- fix references to the config file to be /etc/mtools.conf

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- expunge floppyd

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- fix description
- version 3.9.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- patch to make the texi sources compile
- fix the spec file group and description
- fixed floppy drive sizes

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- fixed invalid SAMPLE_FILE configuration file

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- Built package for 5.2.
- Updated Source to 3.9.1.
- Cleaned up spec file.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.8

* Tue Oct 21 1997 Otto Hammersmith
- changed buildroot to /var/tmp, rather than /tmp
- use install-info

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 17 1997 Erik Troan <ewt@redhat.com>
- Changed sysconfdir to be /etc

* Mon Apr 14 1997 Michael Fulbright <msf@redhat.com>
- Updated to 3.6
